Name:           wemux
Version:        3.2.0
Release:        1%{?dist}
Summary:        Multi-user terminal multiplexing utility
License:        MIT
URL:            https://github.com/zolrath/wemux
Source0:        https://github.com/zolrath/wemux/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       tmux

%description
wemux enhances tmux to make multi-user terminal multiplexing both easier and
more powerful. It allows users to host a wemux server and have clients join
in either:

**Mirror Mode** gives clients (another SSH user on your machine) read-only
access to the session, allowing them to see you work, or

**Pair Mode** allows the client and yourself to work in the same terminal
(shared cursor)

**Rogue Mode** allows the client to pair or work independently in another
window (separate cursors) in the same tmux session.

It features multi-server support as well as user listing
and notifications when users attach/detach.

%prep
%setup -q
sed -i 's|/usr/local||g;s|#!/usr/bin/env bash|#!/bin/bash|g' wemux

%build
# Nothing here.

%install
install -pDm755 %{name} %{buildroot}%{_bindir}/%{name}
install -pDm644 %{name}.conf.example %{buildroot}%{_sysconfdir}/%{name}.conf

%files
%doc MIT-LICENSE README.md
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Mar 14 2014 Christopher Meng <rpm@cicku.me> - 3.2.0-1
- Update to 3.2.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Christopher Meng <rpm@cicku.me> - 2.2.0-1
- Initial Package.
